Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules
Class Navigation

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Navigation

Direct Known Subclasses:
  TemplateNavigation

    public abstract class Navigation

extends Assembler

This is the base class that defines what a Navigation module is.

Version:
  $Id: Navigation.java 717934 2008-11-15 21:48:47Z tv $
Author:
  Dave Bryson, Henning P. Schmiedehausen, Peter Courcoux

Field Summary
`static int` | `CACHE_SIZE_DEFAULT` The default size for the navigation cache
`static String` | `CACHE_SIZE_KEY` Property for the size of the navigation cache if caching is on
`static String` | `NAME` Represents Navigation Objects
`static String` | `PREFIX` Prefix for navigation related classes and templates

Constructor Summary
`Navigation()`

Method Summary
`protected org.apache.ecs.ConcreteElement` | `build(PipelineData pipelineData)` Subclasses can override this method to add additional functionality.
`protected org.apache.ecs.ConcreteElement` | `build(RunData data)` Deprecated. Use PipelineData version instead
`protected org.apache.ecs.ConcreteElement` | `doBuild(PipelineData pipelineData)` A subclass must override this method to build itself.
`protected abstract org.apache.ecs.ConcreteElement` | `doBuild(RunData data)` Deprecated. Use PipelineData version instead
`String` | `getPrefix()` Abstract method to provide the prefix for module related classes and templates
`static String` | `prepareText(String s)` Deprecated. Use InputFilterUtils.prepareText(String s)

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

  Prefix for navigation related classes and templates

  See Also:
    Constant Field Values

### CACHE_SIZE_KEY

    public static final String CACHE_SIZE_KEY

  Property for the size of the navigation cache if caching is on

  See Also:
    Constant Field Values

### CACHE_SIZE_DEFAULT

    public static final int CACHE_SIZE_DEFAULT

  The default size for the navigation cache

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  Represents Navigation Objects

  See Also:
    Constant Field Values

Constructor Detail

### Navigation

    public Navigation()

Method Detail

### getPrefix

    public String getPrefix()

  Description copied from class: `Assembler`
  Abstract method to provide the prefix for module related classes and templates

  Specified by:
    `getPrefix` in class `Assembler`
  Returns:
    the prefix
  See Also:
    `Assembler.getPrefix()`

### doBuild

    protected abstract org.apache.ecs.ConcreteElement doBuild(RunData data)
                                                       throws Exception

  Deprecated. Use PipelineData version instead

  A subclass must override this method to build itself. Subclasses override this method to store the navigation in RunData or to write the navigation to the output stream referenced in RunData.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### build

    protected org.apache.ecs.ConcreteElement build(RunData data)
                                            throws Exception

  Deprecated. Use PipelineData version instead

  Subclasses can override this method to add additional functionality. This method is protected to force clients to use NavigationLoader to build a Navigation.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### doBuild

    protected org.apache.ecs.ConcreteElement doBuild(PipelineData pipelineData)
                                              throws Exception

  A subclass must override this method to build itself. Subclasses override this method to store the navigation in RunData or to write the navigation to the output stream referenced in RunData.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### build

    protected org.apache.ecs.ConcreteElement build(PipelineData pipelineData)
                                            throws Exception

  Subclasses can override this method to add additional functionality. This method is protected to force clients to use NavigationLoader to build a Navigation.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### prepareText

    public static String prepareText(String s)

  Deprecated. Use InputFilterUtils.prepareText(String s)

  This function can/should be used in any screen that will output User entered text. This will help prevent users from entering html (
  SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.